# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "egg"
version = "0.11.0"
authors = ["Max Willsey <me@mwillsey.com>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An implementation of egraphs"
readme = "README.md"
keywords = ["e-graphs"]
categories = ["data-structures"]
license = "MIT"
repository = "https://github.com/egraphs-good/egg"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[lib]
name = "egg"
path = "src/lib.rs"

[[test]]
name = "datalog"
path = "tests/datalog.rs"

[[test]]
name = "lambda"
path = "tests/lambda.rs"

[[test]]
name = "math"
path = "tests/math.rs"

[[test]]
name = "prop"
path = "tests/prop.rs"

[[test]]
name = "simple"
path = "tests/simple.rs"

[dependencies.env_logger]
version = "0.9.0"
default-features = false

[dependencies.good_lp]
version = "1"
optional = true

[dependencies.hashbrown]
version = "0.15.2"

[dependencies.indexmap]
version = "2.7.0"

[dependencies.log]
version = "0.4.17"

[dependencies.num-bigint]
version = "0.4"

[dependencies.num-traits]
version = "0.2"

[dependencies.quanta]
version = "0.12"

[dependencies.rustc-hash]
version = "2.0.0"

[dependencies.serde]
version = "1.0.137"
features = ["derive"]
optional = true

[dependencies.serde_json]
version = "1.0.81"
optional = true

[dependencies.smallvec]
version = "1.8.0"
features = [
    "union",
    "const_generics",
]

[dependencies.symbol_table]
version = "0.4.0"
features = ["global"]

[dependencies.symbolic_expressions]
version = "5.0.3"

[dependencies.thiserror]
version = "1.0.31"

[dependencies.vectorize]
version = "0.2.0"
optional = true

[dev-dependencies.ordered-float]
version = "3.0.0"

[features]
deterministic = []
lp = ["good_lp"]
reports = [
    "serde-1",
    "serde_json",
]
serde-1 = [
    "serde",
    "indexmap/serde",
    "hashbrown/serde",
    "symbol_table/serde",
    "vectorize",
]
test-explanations = []
wasm-bindgen = []
